﻿@model SalesWebMvc.Models.ViewModels.SellerFormViewModel

@{
    ViewData["Title"] = "Create";
}

<h2>@ViewData["Title"]</h2>

<h4>Seller</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Seller.Name" class="control-label"></label>
                <input asp-for="Seller.Name" class="form-control"/>
                <span asp-validation-for="Seller.Name" class = "text-danger"></span>
            </div>
             <div class="form-group">
                <label asp-for="Seller.Email" class="control-label"></label>
                <input asp-for="Seller.Email" class="form-control"/>
                <span asp-validation-for="Seller.Email" class = "text-danger"></span>
            </div>
             <div class="form-group">
                <label asp-for="Seller.BirthDate" class="control-label"></label>
                <input asp-for="Seller.BirthDate" class="form-control"/>
                <span asp-validation-for="Seller.BirthDate" class = "text-danger"></span>
            </div>
             <div class="form-group">
                <label asp-for="Seller.BaseSalary" class="control-label"></label>
                <input asp-for="Seller.BaseSalary" class="form-control"/>
                <span asp-validation-for="Seller.BaseSalary" class = "text-danger"></span>
            </div>
            <div class = "form-group">
                <label asp-for="Seller.DepartmentId" class="control-label"></label>
                <select asp-for="Seller.DepartmentId" asp-items="@(new SelectList(Model.Departments, "Id", "Name"))" class="form-control"></select>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-default"/>
            </div>
        </form>
    </div>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
